#require 'FerrariSketch/FerrariSketchcode';

Sketchup::require 'FerrariSketch/FerrariSketchcode';

###################################################################################################
### Toolbar #######################################################################################
###################################################################################################

ferrariSketch_toolbar = UI::Toolbar.new "FerrariSketch";

cmd = UI::Command.new("Select outline") { ferrariSketch_menu_select }
cmd.small_icon = "buttons/select_small.png"
cmd.large_icon = "buttons/select_large.png"
cmd.tooltip = "Create textile structure"
cmd.set_validation_proc {if not $cur_m then MF_ENABLED; else MF_GRAYED; end}
ferrariSketch_toolbar.add_item cmd

ferrariSketch_toolbar.add_separator


####################################################################################

cmd = UI::Command.new("Run simulation") { ferrariSketch_menu_run }
cmd.small_icon = "buttons/run_small.png"
cmd.large_icon = "buttons/run_large.png"
cmd.tooltip = "Calculate"
cmd.set_validation_proc {if $cur_m then MF_ENABLED; else MF_GRAYED; end}
ferrariSketch_toolbar.add_item cmd

ferrariSketch_toolbar.add_separator;

####################################################################################

cmd = UI::Command.new("Select membrane") { ferrariSketch_menu_selectall }
cmd.small_icon = "buttons/selectall_small.png"
cmd.large_icon = "buttons/selectall_large.png"
cmd.tooltip = "Modify"
cmd.set_validation_proc {if not $cur_m then MF_ENABLED; else MF_GRAYED; end}
ferrariSketch_toolbar.add_item cmd


####################################################################################

cmd = UI::Command.new("Set tension") { ferrariSketch_menu_tension }
cmd.small_icon = "buttons/tension_small.png"
cmd.large_icon = "buttons/tension_large.png"
cmd.tooltip = "Modify edge cable"
cmd.set_validation_proc {if $cur_m then MF_ENABLED; else MF_GRAYED; end}
ferrariSketch_toolbar.add_item cmd

####################################################################################

#cmd = UI::Command.new("Swap vertices") { ferrariSketch_menu_swap }
#cmd.small_icon = "buttons/swap_small.png"
#cmd.large_icon = "buttons/swap_large.png"
#cmd.tooltip = "Swap vertices"
#cmd.set_validation_proc {if $cur_m then MF_ENABLED; else MF_GRAYED; end}
#ferrariSketch_toolbar.add_item cmd

####################################################################################

cmd = UI::Command.new("Options") { ferrariSketch_menu_options }
cmd.small_icon = "buttons/options_small.png"
cmd.large_icon = "buttons/options_large.png"
cmd.tooltip = "Modify membrane"
cmd.set_validation_proc {if $cur_m then MF_ENABLED; else MF_GRAYED; end}
ferrariSketch_toolbar.add_item cmd

ferrariSketch_toolbar.add_separator

####################################################################################

#cmd = UI::Command.new("Destroy membrane") { ferrariSketch_menu_destroy }
#cmd.small_icon = "buttons/abort_small.png"
#cmd.large_icon = "buttons/abort_large.png"
#cmd.tooltip = "Abort/Delete "
#ferrariSketch_toolbar.add_item cmd

#ferrariSketch_toolbar.add_separator

####################################################################################

cmd = UI::Command.new("Help") { UI.openURL "http://www.precontraint.com/link/sketch/index-gb-open.php"; }
cmd.small_icon = "buttons/help_small.png"
cmd.large_icon = "buttons/help_large.png"
cmd.tooltip = "Help"
ferrariSketch_toolbar.add_item cmd

####################################################################################

cmd = UI::Command.new("About") { UI.messagebox "FerrariSketch version 1.1 (March 2010)\n\n\nDevelopped by:\n\n\t- Ferrari Textile Architecture (www.ferrari-architecture.com)\n\t- Laboratory of Mechanics and Civil Engineering (University Montpellier 2, France)\n\t- NAVIER research unit (Ecole des Ponts ParisTech, France)\n\n\nProgramming by:\n\n\t- Kevin Obrejan\n\t- Pierre Simonnin"; }
cmd.small_icon = "buttons/about_small.png"
cmd.large_icon = "buttons/about_large.png"
cmd.tooltip = "About"
ferrariSketch_toolbar.add_item cmd

####################################################################################